Loading...
Searching...
No Matches
pp-avformat.c File Reference
Tools and utilities » Recordings post-processing utility
`#include "pp-avformat.h"`
Include dependency graph for pp-avformat.c:

## Functions

void | janus_pp_setup_avformat (void)
AVFormatContext * | janus_pp_create_avformatcontext (const char *format, const char *metadata, const char *destination)
AVStream * | janus_pp_new_audio_avstream (AVFormatContext *fctx, int codec_id, int samplerate, int channels, const uint8_t *extradata, int size)
AVStream * | janus_pp_new_video_avstream (AVFormatContext *fctx, int codec_id, int width, int height)

## Detailed Description

Copyright
  GNU General Public License v3

Recordings post-processing utility

## Function Documentation

## janus_pp_create_avformatcontext()

AVFormatContext * janus_pp_create_avformatcontext | ( | const char * | format,
|  | const char * | metadata,
|  | const char * | destination )

## janus_pp_new_audio_avstream()

AVStream * janus_pp_new_audio_avstream | ( | AVFormatContext * | fctx,
|  | int | codec_id,
|  | int | samplerate,
|  | int | channels,
|  | const uint8_t * | extradata,
|  | int | size )

## janus_pp_new_video_avstream()

AVStream * janus_pp_new_video_avstream | ( | AVFormatContext * | fctx,
|  | int | codec_id,
|  | int | width,
|  | int | height )

## janus_pp_setup_avformat()

void janus_pp_setup_avformat | ( | void |  | ) |